#include <qpe/inputmethodinterface.h>
#include "irk.h"

class IRKImpl : public InputMethodInterface
{
public:
    IRKImpl();
    virtual ~IRKImpl();

#ifndef QT_NO_COMPONENT
    QRESULT queryInterface( const QUuid&, QUnknownInterface** );
    Q_REFCOUNT
#endif

    virtual QWidget *inputMethod( QWidget *parent, Qt::WFlags f );
    virtual void resetState();
    virtual QPixmap *icon();
    virtual QString name();
    virtual void onKeyPress( QObject *receiver, const char *slot );
    
    static QPixmap *icn;
    static QPixmap *icn_pocketop;
    static QPixmap *icn_targus;
    static QPixmap *icn_palm;
    static QPixmap *icn_TKB780U;
    static QPixmap *icn_F8U1500;
    static QPixmap *icn_F8U1500T;
    static QPixmap *icn_PalmOne3169WW;
    static QPixmap *icn_HPfoldableBT;
    static QPixmap *icn_patapata;

private:
    CGIRK *input;
    ulong ref;
};
